%define api	1.0
%define major	0
%define libname	%mklibname dazzle %{api} %{major}
%define girname	%mklibname dazzle-gir %{api}
%define devname	%mklibname dazzle -d

Name:		libdazzle
Version:	3.44.0
Release:	%mkrel 3
Summary:	Experimental new features for GTK+ and GLib
Group:		System/Libraries
License:	GPLv3+
URL:		https://git.gnome.org/browse/libdazzle/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:	meson
BuildRequires:	vala
BuildRequires:	vala-tools

BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)

# for tests
BuildRequires:	x11-server-xvfb
BuildRequires:	words


%description
libdazzle is a collection of fancy features for GLib and Gtk+ that aren't quite
ready or generic enough for use inside those libraries. This is often a proving
ground for new widget prototypes. Applications such as Builder tend to drive
development of this project.

%package -n	dazzle-list-counters
Summary:	Collection of fancy features for GLib and Gtk+
Group:		System/Libraries

Conflicts:	%{_lib}dazzle1.0_0 < 3.44.0-3

%description -n dazzle-list-counters
This package provides the dazzle-list-counters binary.

%package -n	%{libname}
Summary:	Experimental new features for GTK+ and GLib
Group:		System/Libraries
Requires:	%{name}-i18n >= %{version}
Obsoletes:	%{_lib}dazzle0 < 3.26.0-4

%description -n	%{libname}
libdazzle is a collection of fancy features for GLib and Gtk+ that aren't quite
ready or generic enough for use inside those libraries. This is often a proving
ground for new widget prototypes. Applications such as Builder tend to drive
development of this project.

%package -n	%{girname}
Summary:	GObject Introspection interface description for Dazzle
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Conflicts:	%{_lib}dazzle0 < 3.26.0-4

%description -n	%{girname}
GObject Introspection interface description for Dazzle.

%package -n	%{devname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{name}%{api}-devel = %{version}-%{release}

%description -n	%{devname}
The %{devname} package contains libraries and header files for
developing applications that use %{name}.

%package	i18n
Summary:	Translation files for %{name}
Group:		System/Libraries
BuildArch:	noarch

Conflicts:	%{_lib}dazzle1.0_0 < 3.44.0-3

%description	i18n
This package contains translation files for %{name}.

#------------------------------------------------


%prep
%autosetup -p1


%build
%meson
%meson_build


%install
%meson_install

%find_lang libdazzle-1.0


%check
Xvnc :99 -nolisten tcp &
export DISPLAY=:99
#meson_test


%files -n dazzle-list-counters
%doc AUTHORS NEWS README.md
%{_bindir}/dazzle-list-counters

%files -n %{libname}
%license COPYING
%{_libdir}/libdazzle-%{api}.so.%{major}

%files -n %{girname}
%{_libdir}/girepository-1.0/Dazzle-%{api}.typelib

%files -n %{devname}
%doc CONTRIBUTING.md examples
%{_datadir}/gir-1.0/Dazzle-%{api}.gir
%{_datadir}/vala/vapi/libdazzle-%{api}.*
%{_includedir}/libdazzle-%{api}/
%{_libdir}/libdazzle-%{api}.so
%{_libdir}/pkgconfig/libdazzle-%{api}.pc

%files i18n -f libdazzle-1.0.lang


%changelog
* Sat Jul 05 2025 daviddavid <daviddavid> 3.44.0-3.mga10
+ Revision: 2246778
- split out binary and lang files in their own sub-pkgs
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild
+ tv <tv>
- Switch to running tests under Xvnc instead of xvfb

* Sat Mar 19 2022 ovitters <ovitters> 3.44.0-1.mga9
+ Revision: 1799144
- new version 3.44.0

* Tue Mar 15 2022 tv <tv> 3.43.90-1.mga9
+ Revision: 1793351
- Update to 3.43.90

* Mon Jan 10 2022 tv <tv> 3.42.0-1.mga9
+ Revision: 1767475
- 3.42.0
- add a FIXME note about splitting into new subpkgs

* Thu Mar 25 2021 ovitters <ovitters> 3.40.0-1.mga9
+ Revision: 1709958
- new version 3.40.0

* Sat Sep 12 2020 ovitters <ovitters> 3.38.0-1.mga8
+ Revision: 1625359
- new version 3.38.0

* Thu Jul 09 2020 ovitters <ovitters> 3.37.1-1.mga8
+ Revision: 1603440
- new version 3.37.1

* Fri Mar 06 2020 ovitters <ovitters> 3.36.0-1.mga8
+ Revision: 1554507
- new version 3.36.0

* Tue Feb 18 2020 tv <tv> 3.35.3-1.mga8
+ Revision: 1541950
- 3.35.3

* Sun Feb 16 2020 umeabot <umeabot> 3.34.1-2.mga8
+ Revision: 1534564
- Mageia 8 Mass Rebuild

* Sat Oct 05 2019 ovitters <ovitters> 3.34.1-1.mga8
+ Revision: 1449413
- new version 3.34.1

* Tue Sep 10 2019 ovitters <ovitters> 3.34.0-1.mga8
+ Revision: 1439226
- new version 3.34.0

* Sun Aug 11 2019 ovitters <ovitters> 3.33.90-1.mga8
+ Revision: 1428706
- new version 3.33.90

* Wed Aug 07 2019 tv <tv> 3.33.4-1.mga8
+ Revision: 1427951
- new release

* Tue Aug 06 2019 tv <tv> 3.33.3-1.mga8
+ Revision: 1427635
- new release

* Wed Jul 24 2019 ovitters <ovitters> 3.32.3-1.mga8
+ Revision: 1423865
- new version 3.32.3

* Wed May 08 2019 tmb <tmb> 3.32.2-1.mga7
+ Revision: 1396792
- update to 3.32.2

* Wed Apr 17 2019 umeabot <umeabot> 3.32.1-3.mga7
+ Revision: 1392709
- Rebuild with meson 0.50.1

* Sun Apr 14 2019 daviddavid <daviddavid> 3.32.1-2.mga7
+ Revision: 1389987
- drop dbus-run-session from the tests run

* Thu Apr 11 2019 ovitters <ovitters> 3.32.1-1.mga7
+ Revision: 1388223
- new version 3.32.1

* Wed Mar 13 2019 ovitters <ovitters> 3.32.0-1.mga7
+ Revision: 1375169
- new version 3.32.0

* Thu Mar 07 2019 ovitters <ovitters> 3.31.92-1.mga7
+ Revision: 1372355
- new version 3.31.92

* Wed Oct 31 2018 ovitters <ovitters> 3.30.2-1.mga7
+ Revision: 1326828
- new version 3.30.2

* Tue Sep 25 2018 ovitters <ovitters> 3.30.1-1.mga7
+ Revision: 1303919
- new version 3.30.1

* Wed Sep 05 2018 ovitters <ovitters> 3.30.0-1.mga7
+ Revision: 1257229
- new version 3.30.0

* Wed Aug 29 2018 ovitters <ovitters> 3.29.92-1.mga7
+ Revision: 1255593
- new version 3.29.92
- new version 3.29.91

* Wed Jul 18 2018 ovitters <ovitters> 3.29.4-1.mga7
+ Revision: 1244103
- new version 3.29.4

* Tue Jun 19 2018 ovitters <ovitters> 3.29.3-1.mga7
+ Revision: 1237961
- new version 3.29.3

* Wed May 09 2018 ovitters <ovitters> 3.29.1-1.mga7
+ Revision: 1227946
- new version 3.29.1

* Tue Apr 10 2018 ovitters <ovitters> 3.28.1-1.mga7
+ Revision: 1216932
- new version 3.28.1

* Wed Mar 14 2018 ovitters <ovitters> 3.28.0-1.mga7
+ Revision: 1209139
- new version 3.28.0

* Mon Mar 05 2018 ovitters <ovitters> 3.27.92-1.mga7
+ Revision: 1206626
- new version 3.27.92

* Tue Feb 20 2018 ovitters <ovitters> 3.27.91-1.mga7
+ Revision: 1203796
- new version 3.27.91

* Tue Feb 20 2018 ovitters <ovitters> 3.27.90-1.mga7
+ Revision: 1203680
- new version 3.27.90
- fix source url

* Thu Feb 01 2018 ovitters <ovitters> 3.26.3-1.mga7
+ Revision: 1198340
- new version 3.26.3

* Thu Jan 11 2018 ovitters <ovitters> 3.26.2-1.mga7
+ Revision: 1192198
- new version 3.26.2

* Tue Nov 21 2017 tv <tv> 3.26.1-1.mga7
+ Revision: 1178459
- new release

* Tue Sep 26 2017 wally <wally> 3.26.0-4.mga7
+ Revision: 1159987
- split out gir .typelib from lib pkg
- fix lib pkg name
- add some provides to devel pkg
- disable gtk-doc build
- don't own 'system' directories

* Thu Sep 21 2017 tv <tv> 3.26.0-3.mga7
+ Revision: 1156552
- BR vala-tools
- imported package libdazzle


* Thu Sep 21 2017 Thierry Vignaud <tv@mageia.org> 3.26.0-1.mga7
- import from FC

* Tue Sep 12 2017 Yanko Kaneti <yaneti@declera.com> - 3.26.0-1
- Update to 3.26.0

* Tue Sep  5 2017 Yanko Kaneti <yaneti@declera.com> - 3.25.92-1
- Update to 3.25.92
- Reenable test-fuzzy-index, should be fixed upstream

* Sun Aug 27 2017 Kalev Lember <klember@redhat.com> - 3.25.91-1
- Update to 3.25.91

* Tue Aug  8 2017 Yanko Kaneti <yaneti@declera.com> - 3.25.90-1
- Update to 3.25.90

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.25.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.25.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Jul 21 2017 Yanko Kaneti <yaneti@declera.com> - 3.25.5-1
- Update to 3.25.5

* Wed Jul 19 2017 Yanko Kaneti <yaneti@declera.com> - 3.25.4-1
- Update to 3.25.4. Add tests, BR: xorg-x11-server-Xvfb, words, dbus

* Tue Jul 18 2017 Kalev Lember <klember@redhat.com> - 3.25.3-3
- Drop the workaround as meson is now fixed

* Thu Jun 22 2017 Yanko Kaneti <yaneti@declera.com> - 3.25.3-2
- Add temporary workaround for meson 0.41.1 breakage

* Mon Jun 19 2017 Yanko Kaneti <yaneti@declera.com> - 3.25.3-1
- Initial spec
